package com.thebrokenrail.reliccraft.mixin;

import com.thebrokenrail.reliccraft.packet.UpdateTeleportCooldownS2CPacket;
import net.minecraft.server.network.ServerPlayerEntity;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(ServerPlayerEntity.class)
public class MixinServerPlayerEntity extends MixinEntity {
    @Inject(at = @At("RETURN"), method = "playerTick")
    public void playerTick(CallbackInfo info) {
        UpdateTeleportCooldownS2CPacket.send((ServerPlayerEntity) (Object) this, teleportCooldown);
    }
}
